Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlFileUpload

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIFileUpload
                          org.richfaces.component.html.HtmlFileUpload

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlFileUpload

extends UIFileUpload

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlFileUpload()`

Method Summary
`java.lang.String` | `getAcceptedTypes()`
`java.lang.String` | `getAccesskey()`
`java.lang.String` | `getAddButtonClass()`
`java.lang.String` | `getAddButtonClassDisabled()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getCancelButtonClass()`
`java.lang.String` | `getCancelButtonClassDisabled()`
`java.lang.String` | `getCleanButtonClass()`
`java.lang.String` | `getCleanButtonClassDisabled()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFileEntryClass()`
`java.lang.String` | `getFileEntryClassDisabled()`
`java.lang.String` | `getFileEntryControlClass()`
`java.lang.String` | `getFileEntryControlClassDisabled()`
`java.lang.String` | `getFileName()`
`java.lang.Integer` | `getFileSize()`
`javax.el.MethodExpression` | `getFileUploadListener()`
`java.lang.String` | `getListHeight()`
`java.lang.String` | `getListWidth()`
`java.lang.Integer` | `getMaxFilesQuantity()`
`int` | `getMaxlength()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnerror()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselect()`
`java.lang.String` | `getOnupload()`
`java.lang.String` | `getOnuploadcanceled()`
`java.lang.String` | `getOnuploadcomplete()`
`java.lang.String` | `getProgressInfo()`
`int` | `getSize()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTabindex()`
`java.lang.String` | `getUploadButtonClass()`
`java.lang.String` | `getUploadButtonClassDisabled()`
`java.lang.Object` | `getUploadData()`
`java.lang.String` | `getUploadListClass()`
`java.lang.String` | `getUploadListClassDisabled()`
`boolean` | `isAutoclear()`
`boolean` | `isDisabled()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptedTypes(java.lang.String _acceptedTypes)`
`void` | `setAccesskey(java.lang.String _accesskey)`
`void` | `setAddButtonClass(java.lang.String _addButtonClass)`
`void` | `setAddButtonClassDisabled(java.lang.String _addButtonClassDisabled)`
`void` | `setAlign(java.lang.String _align)`
`void` | `setAlt(java.lang.String _alt)`
`void` | `setAutoclear(boolean _autoclear)`
`void` | `setCancelButtonClass(java.lang.String _cancelButtonClass)`
`void` | `setCancelButtonClassDisabled(java.lang.String _cancelButtonClassDisabled)`
`void` | `setCleanButtonClass(java.lang.String _cleanButtonClass)`
`void` | `setCleanButtonClassDisabled(java.lang.String _cleanButtonClassDisabled)`
`void` | `setContentType(java.lang.String _contentType)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setFileEntryClass(java.lang.String _fileEntryClass)`
`void` | `setFileEntryClassDisabled(java.lang.String _fileEntryClassDisabled)`
`void` | `setFileEntryControlClass(java.lang.String _fileEntryControlClass)`
`void` | `setFileEntryControlClassDisabled(java.lang.String _fileEntryControlClassDisabled)`
`void` | `setFileName(java.lang.String _fileName)`
`void` | `setFileSize(java.lang.Integer _fileSize)`
`void` | `setFileUploadListener(javax.el.MethodExpression _fileUploadListener)`
`void` | `setListHeight(java.lang.String _listHeight)`
`void` | `setListWidth(java.lang.String _listWidth)`
`void` | `setMaxFilesQuantity(java.lang.Integer _maxFilesQuantity)`
`void` | `setMaxlength(int _maxlength)`
`void` | `setOnblur(java.lang.String _onblur)`
`void` | `setOnchange(java.lang.String _onchange)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnerror(java.lang.String _onerror)`
`void` | `setOnfocus(java.lang.String _onfocus)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnselect(java.lang.String _onselect)`
`void` | `setOnupload(java.lang.String _onupload)`
`void` | `setOnuploadcanceled(java.lang.String _onuploadcanceled)`
`void` | `setOnuploadcomplete(java.lang.String _onuploadcomplete)`
`void` | `setProgressInfo(java.lang.String _progressInfo)`
`void` | `setSize(int _size)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTabindex(java.lang.String _tabindex)`
`void` | `setUploadButtonClass(java.lang.String _uploadButtonClass)`
`void` | `setUploadButtonClassDisabled(java.lang.String _uploadButtonClassDisabled)`
`void` | `setUploadData(java.lang.Object _uploadData)`
`void` | `setUploadListClass(java.lang.String _uploadListClass)`
`void` | `setUploadListClassDisabled(java.lang.String _uploadListClassDisabled)`

Methods inherited from class org.richfaces.component.UIFileUpload
`addFileUploadListener, broadcast, getFileUploadListeners, getLocalContentType, getLocalFileName, getLocalFileSize, getLocalInputStream, removeFileUploadListener, reset, setLocalContentType, setLocalFileName, setLocalFileSize, setLocalInputStream`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlFileUpload

    public HtmlFileUpload()

Method Detail

### getAcceptedTypes

    public java.lang.String getAcceptedTypes()

  Specified by:
    `getAcceptedTypes` in class `UIFileUpload`

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.String _acceptedTypes)

  Specified by:
    `setAcceptedTypes` in class `UIFileUpload`

### getAccesskey

    public java.lang.String getAccesskey()

### setAccesskey

    public void setAccesskey(java.lang.String _accesskey)

### getAddButtonClass

    public java.lang.String getAddButtonClass()

### setAddButtonClass

    public void setAddButtonClass(java.lang.String _addButtonClass)

### getAddButtonClassDisabled

    public java.lang.String getAddButtonClassDisabled()

### setAddButtonClassDisabled

    public void setAddButtonClassDisabled(java.lang.String _addButtonClassDisabled)

### getAlign

    public java.lang.String getAlign()

### setAlign

    public void setAlign(java.lang.String _align)

### getAlt

    public java.lang.String getAlt()

### setAlt

    public void setAlt(java.lang.String _alt)

### isAutoclear

    public boolean isAutoclear()

### setAutoclear

    public void setAutoclear(boolean _autoclear)

### getCancelButtonClass

    public java.lang.String getCancelButtonClass()

### setCancelButtonClass

    public void setCancelButtonClass(java.lang.String _cancelButtonClass)

### getCancelButtonClassDisabled

    public java.lang.String getCancelButtonClassDisabled()

### setCancelButtonClassDisabled

    public void setCancelButtonClassDisabled(java.lang.String _cancelButtonClassDisabled)

### getCleanButtonClass

    public java.lang.String getCleanButtonClass()

### setCleanButtonClass

    public void setCleanButtonClass(java.lang.String _cleanButtonClass)

### getCleanButtonClassDisabled

    public java.lang.String getCleanButtonClassDisabled()

### setCleanButtonClassDisabled

    public void setCleanButtonClassDisabled(java.lang.String _cleanButtonClassDisabled)

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String _contentType)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean _disabled)

### getFileEntryClass

    public java.lang.String getFileEntryClass()

### setFileEntryClass

    public void setFileEntryClass(java.lang.String _fileEntryClass)

### getFileEntryClassDisabled

    public java.lang.String getFileEntryClassDisabled()

### setFileEntryClassDisabled

    public void setFileEntryClassDisabled(java.lang.String _fileEntryClassDisabled)

### getFileEntryControlClass

    public java.lang.String getFileEntryControlClass()

### setFileEntryControlClass

    public void setFileEntryControlClass(java.lang.String _fileEntryControlClass)

### getFileEntryControlClassDisabled

    public java.lang.String getFileEntryControlClassDisabled()

### setFileEntryControlClassDisabled

    public void setFileEntryControlClassDisabled(java.lang.String _fileEntryControlClassDisabled)

### getFileName

    public java.lang.String getFileName()

### setFileName

    public void setFileName(java.lang.String _fileName)

### getFileSize

    public java.lang.Integer getFileSize()

### setFileSize

    public void setFileSize(java.lang.Integer _fileSize)

### getFileUploadListener

    public javax.el.MethodExpression getFileUploadListener()

  Specified by:
    `getFileUploadListener` in class `UIFileUpload`

### setFileUploadListener

    public void setFileUploadListener(javax.el.MethodExpression _fileUploadListener)

  Specified by:
    `setFileUploadListener` in class `UIFileUpload`

### getListHeight

    public java.lang.String getListHeight()

### setListHeight

    public void setListHeight(java.lang.String _listHeight)

### getListWidth

    public java.lang.String getListWidth()

### setListWidth

    public void setListWidth(java.lang.String _listWidth)

### getMaxFilesQuantity

    public java.lang.Integer getMaxFilesQuantity()

  Specified by:
    `getMaxFilesQuantity` in class `UIFileUpload`

### setMaxFilesQuantity

    public void setMaxFilesQuantity(java.lang.Integer _maxFilesQuantity)

  Specified by:
    `setMaxFilesQuantity` in class `UIFileUpload`

### getMaxlength

    public int getMaxlength()

### setMaxlength

    public void setMaxlength(int _maxlength)

### getOnblur

    public java.lang.String getOnblur()

### setOnblur

    public void setOnblur(java.lang.String _onblur)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String _onchange)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnerror

    public java.lang.String getOnerror()

### setOnerror

    public void setOnerror(java.lang.String _onerror)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnfocus

    public void setOnfocus(java.lang.String _onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnselect

    public java.lang.String getOnselect()

### setOnselect

    public void setOnselect(java.lang.String _onselect)

### getOnupload

    public java.lang.String getOnupload()

### setOnupload

    public void setOnupload(java.lang.String _onupload)

### getOnuploadcanceled

    public java.lang.String getOnuploadcanceled()

### setOnuploadcanceled

    public void setOnuploadcanceled(java.lang.String _onuploadcanceled)

### getOnuploadcomplete

    public java.lang.String getOnuploadcomplete()

### setOnuploadcomplete

    public void setOnuploadcomplete(java.lang.String _onuploadcomplete)

### getProgressInfo

    public java.lang.String getProgressInfo()

### setProgressInfo

    public void setProgressInfo(java.lang.String _progressInfo)

### getSize

    public int getSize()

### setSize

    public void setSize(int _size)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `UIFileUpload`

### setStyle

    public void setStyle(java.lang.String _style)

  Specified by:
    `setStyle` in class `UIFileUpload`

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `UIFileUpload`

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

  Specified by:
    `setStyleClass` in class `UIFileUpload`

### getTabindex

    public java.lang.String getTabindex()

### setTabindex

    public void setTabindex(java.lang.String _tabindex)

### getUploadButtonClass

    public java.lang.String getUploadButtonClass()

### setUploadButtonClass

    public void setUploadButtonClass(java.lang.String _uploadButtonClass)

### getUploadButtonClassDisabled

    public java.lang.String getUploadButtonClassDisabled()

### setUploadButtonClassDisabled

    public void setUploadButtonClassDisabled(java.lang.String _uploadButtonClassDisabled)

### getUploadData

    public java.lang.Object getUploadData()

### setUploadData

    public void setUploadData(java.lang.Object _uploadData)

### getUploadListClass

    public java.lang.String getUploadListClass()

### setUploadListClass

    public void setUploadListClass(java.lang.String _uploadListClass)

### getUploadListClassDisabled

    public java.lang.String getUploadListClassDisabled()

### setUploadListClassDisabled

    public void setUploadListClassDisabled(java.lang.String _uploadListClassDisabled)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.